<html>
<head>
<script>
   
function myfunc(){
    var a=false;
var c=Number(a)
alert(c)
}
var b=8;
function func(){
if(a=null && b==8){
alert("true")
}else{
    alert("false")
}
}



</script>
</head>
<body>
<button onclick="myfunc()">click</button>
<button onclick="func()">click2</button>
</body>
</html>
